> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dakota.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Transaction Account API

> This endpoint requires an Oauth-Token obtained from /oauth2

## How to Use

1. **Copy** any of the JSON examples below.
2. **Go to the API playground** by clicking on the **"Try it"** button.
3. **Paste** the JSON into the request body field.
4. **Click "Send"** button to execute the request.

## Examples

### Count Transaction Account Records

```json theme={null}
{
  "module": "transaction_account__c",
  "count_only": true
}
```

### List All Transaction Account Records

```json theme={null}
{
  "module": "transaction_account__c"
}
```

### List Transaction Account Records with Specific Fields

```json theme={null}
{
  "module": "transaction_account__c",
  "filters": {
    "fields": [
      "sfid",
      "name",
      "transaction__c",
      "account__c",
      "investment_strategy__c",
      "type__c",
      "sub_type__c",
      "createddate",
      "lastmodifieddate"
    ],
    "order_by": "lastmodifieddate:DESC",
    "max_num": "10"
  }
}
```

### Filter by Transaction

```json theme={null}
{
  "module": "transaction_account__c",
  "filters": {
    "filter": [
      {
        "transaction__c": {
          "$equals": "a7aPY000000itYfYAI"
        }
      }
    ]
  }
}
```

### Filter by Account

```json theme={null}
{
  "module": "transaction_account__c",
  "filters": {
    "filter": [
      {
        "account__c": {
          "$equals": "0011N00001EHiDWQA1"
        }
      }
    ]
  }
}
```

### Filter by Type

```json theme={null}
{
  "module": "transaction_account__c",
  "filters": {
    "filter": [
      {
        "type__c": {
          "$equals": "Ultimate Buyer"
        }
      }
    ]
  }
}
```


## OpenAPI

````yaml POST /index.php/api/dakota
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://marketplace-as-a-service.herokuapp.com
security: []
paths:
  /index.php/api/dakota:
    post:
      description: This endpoint requires an Oauth-Token obtained from /oauth2
      requestBody:
        required: true
        content:
          text/plain:
            schema:
              type: string
              description: >-
                Copy any of the JSON examples and paste it into the request body
                field.
            example: <JSON example>
      security:
        - authToken: []
components:
  securitySchemes:
    authToken:
      type: apiKey
      in: header
      name: Oauth-Token
      description: >-
        Get the OAuth token by calling the /oauth2 authentication API. Use the
        access_token from the response to authorize your API requests.

````